apiVersion: v1
kind: Secret
metadata:
  name: {{ include "powerdns-helm.fullname" . }}
  labels:
    {{- include "powerdns-helm.labels" . | nindent 4 }}
stringData:
  apikey: {{ .Values.api.key }}
  secrets.conf: |-
    {{ if .Values.api.enabled }}
    api-key={{ .Values.api.key }}
    {{ end }}
    gpgsql-password={{ .Values.database.password }}
